Bug 1129061 - HA: We need some quickstack changes so we can pass in mac address instead of network interface name.
Summary: HA: We need some quickstack changes so we can pass in mac address instead of ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 07:57 UTC by Leonid Natapov
Modified: 2015-06-01 12:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 19:07:32 UTC


Attachments (Terms of Use)

Description Leonid Natapov 2014-08-12 07:57:46 UTC
NIC name may change after installing different OS. We though that on machines from the same manufacturer and with the same OS ,the NIC names will be the same.
Apparently it's not enough. The BIOS should also be updated. This is especially important when installing HA. All participating in cluster nodes must have the same NIC names. Bottom line we should relay on something that wouldn't change after reinstalling OS or other manipulations. Something like MAC address hat stays the same no matter what.

Comment 2 Mike Burns 2014-08-12 12:01:54 UTC
Mac address doesn't help.  You need to specify something that is the same across all machines since it's a configuration in 1 place for the deployment.  

Quickstack does provide the option to pass "network" which will determine the nic dynamically.  This is available in the advanced configuration.

This problem goes away with the network management.

Comment 3 Mike Burns 2014-08-12 20:23:26 UTC
my understanding is that quickstack won't need this in quickstack.  We need:

1.  Discovery to report nics with mac addresses
2.  UI to display nic info include mac address so users can put a subnet on a nic

Marek,  any reason you see for mac addresses going though puppet to the hosts?

Comment 4 Marek Hulan 2014-08-13 07:20:18 UTC
I'm not sure what quickstack modules need to configure but it seems right to me to assign addresses in foreman so I don't see a reason to pass mac address to puppet. User should assign subnets to particular interfaces which will determine IP address on that device during provisioning. This should not change later if we have HWADDR in network-scripts right? Addresses will be uploaded to foreman with first puppet run before quickstack modules are applied.

Comment 5 Jason Guiditta 2014-10-01 18:50:19 UTC
Mike, given the above discussion, I think this is not something we need to add support for, and I would recommend we close it

Comment 6 Mike Burns 2014-10-01 19:07:32 UTC
I agree, closing


Note You need to log in before you can comment on or make changes to this bug.